/*
 * Single Window Application Template:
 * A basic starting point for your application.  Mostly a blank canvas.
 *
 * In app.js, we generally take care of a few things:
 * - Bootstrap the application with any data we need
 * - Check for dependencies like device type, platform version or network connection
 * - Require and open our top-level UI component
 *
 */

//bootstrap and check dependencies
if (Ti.version < 1.8 ) {
	alert('Sorry - this application template requires Titanium Mobile SDK 1.8 or later');
}

// This is a single context application with multiple windows in a stack
(function() {
	//render appropriate components based on the platform and form factor
	var osname = Ti.Platform.osname,
		version = Ti.Platform.version,
		height = Ti.Platform.displayCaps.platformHeight,
		width = Ti.Platform.displayCaps.platformWidth;

	//considering tablet to have one dimension over 900px - this is imperfect, so you should feel free to decide
	//yourself what you consider a tablet form factor for android
	var isTablet = osname === 'ipad' || (osname === 'android' && (width > 899 || height > 899));

	// App code
	var win = Ti.UI.createWindow();
	var row = Ti.UI.createTableViewRow({
		height: 200
	});
	var row2 = Ti.UI.createTableViewRow({
		height: 200
	});
	var row3 = Ti.UI.createTableViewRow({
		height: 200
	});
	var parent = Ti.UI.createView({
		height: Ti.UI.SIZE,
		width: Ti.UI.FILL,
		layout: 'vertical'
	});
	var parent2 = Ti.UI.createView({
		height: Ti.UI.SIZE,
		width: Ti.UI.KILL,
		layout: 'vertical'
	});
	var parent3 = Ti.UI.createView({
		height: Ti.UI.SIZE,
		width: Ti.UI.KILL,
		layout: 'vertical'
	});

	// This one bugs out
	var webview = Titanium.UI.createWebView({
		disableBounce: true,
		height: 200,
		width: Ti.UI.FILL,
		html: "<div id='subtext'><ul><li>Assess the victim and treat any injuries or illness<\/li><li>Assess the victim and treat any injuries or illness<\/li><li>Assess the victim and treat any injuries or illness<\/li><li>Assess the victim and treat any injuries or illness<\/li></ul></div>"
	});
	// This one is the same except no event handler was attached, does not bug out
	var webview2 = Titanium.UI.createWebView({
		disableBounce: true,
		height: 200,
		width: Ti.UI.FILL,
		html: "<div id='subtext'><ul><li>Assess the victim and treat any injuries or illness<\/li><li>Assess the victim and treat any injuries or illness<\/li><li>Assess the victim and treat any injuries or illness<\/li><li>Assess the victim and treat any injuries or illness<\/li></ul></div>"
	});
	// This one has an event handler but with only 1 <li> element it doesn't seem to affect it for some reason
	var webview3 = Titanium.UI.createWebView({
		disableBounce: true,
		height: 200,
		width: Ti.UI.FILL,
		html: "<div id='subtext'><ul><li>Assess the victim and treat any injuries or illness<\/li></ul></div>"
	});

	webview.addEventListener('click', function(){
		// Some Code
	});
	webview3.addEventListener('click', function(){
		// Some Code
	});

	parent.add(webview);
	parent2.add(webview2);
	parent3.add(webview3);

	row.add(parent);
	row2.add(parent2);
	row3.add(parent3);

	var table = Ti.UI.createTableView({
		data: [row, row2, row3]
	});
	win.add(table);
	win.open();

})();
